Обзор уязвимостей за неделю: 27 ноября 2020 года

Обзор уязвимостей за неделю: 27 ноября 2020 года

На этой неделе были обнаружены уязвимости в cPanel, межсетевых экранах Zyxel, Red Hat OpenShift Container Platform и пр.

Разработчики WebKitGTK и WPE WebKit выпустили обновления для устранения пяти проблем в серверных приложениях, четыре из которых (CVE-2020-9948, CVE-2020-9951, CVE-2020-9983 и CVE-2020-13584) представляют уязвимости использования после освобождения, записи за пределами поля и несоответствия используемых типов данных. Их эксплуатация может привести к удаленному выполнению кода. Последняя уязвимость (CVE-2020-9952) представляет собой проблему межсайтового выполнения сценариев, связанную с недостаточной очисткой данных, предоставленных пользователем, в компоненте WebKit в Apple Safari.

cPanel выпустила исправления для трех уязвимостей в cPanel и WebHost Manager (WHM), одна из которых позволяет обойти двухфакторную аутентификацию. Проблема может позволить злоумышленникам выполнять брутфорс-атаки на cPanel и WHM и затрагивает версии cPanel и WHM до 11.86.0.32, 11.90.0.17, 11.92.0.2.

В версиях технологий Intel AMT и ISM старше 14.0.45, 12.0.70, 11.22.80, 11.12.80 и 11.8.80 обнаружено несколько уязвимостей. Запись за пределами поля ( CVE-2020-8754 ) может позволить удаленному пользователю выполнить произвольный код на целевой системе с повышенными привилегиями. Вторая уязвимость ( CVE-2020-8753 ) является менее опасной и может быть использована для получения доступа к конфиденциальным данным.

В межсетевых экранах и точках доступа Zyxel была обнаружена опасная уязвимость , эксплуатация которой позволяет удаленному злоумышленнику перехватить контроль над системой. Проблема затрагивает версии программного обеспечения серии VPN (4.30, 4.55, старше 4.39, 10.03), серии USG (4.30, 4.55, старше 4.39), серии USG FLEX (4.30, 4.5, старше 4.55), серии Unified Pro (старше 6.10), серии Unified (старше 6.10) и серии Standalone (старше 6.10).

Команда специалистов Drupal исправила две уязвимости удаленного выполнения кода ( CVE-2020-28949 и CVE-2020-28948 ). Первая связана с некорректной проверкой введенных данных при обработке URI в именах файлов, а вторая — с небезопасной проверкой данных при обработке сериализованной информации.

Системы под управлением Windows 7 и Server 2008 R2 содержат уязвимость локального повышения привилегий, связанную с некорректными разрешениями, установленными для двух разделов реестра для служб RPC Endpoint Mapper и DNSCache. Локальный пользователь может изменять ключи и использовать поведение других системных служб для загрузки вредоносной DLL-библиотеки и выполнения произвольного кода с привилегиями SYSTEM. Уязвимость затрагивает версии Windows 7, 7 SP1 и Windows Server 2008, 2008 R2, 2008 R2 SP1, 2008 SP2.

Платформа Red Hat OpenShift Container Platform содержит 13 уязвимостей , наиболее опасной из которых является CVE-2020-15999. Проблема затрагивает версии Red Hat OpenShift Container Platform старше 4.5.20 и позволяет удаленному злоумышленнику перехватить контроль над уязвимой системой. Уязвимость уже эксплуатируется злоумышленниками в реальных атаках.

В решении OPPO QualityProtect 2.0 обнаружена уязвимость внедрения команд ( CVE-2020-11830 ), которая позволяет удаленному злоумышленнику выполнять произвольные shell-команды на целевой системе. Уязвимость связана с некорректной проверкой ввода в com.oppo.qualityprotect. Удаленный неавторизованный злоумышленник может передать приложению специально созданные данные и выполнить произвольные команды на целевой системе. Кроме того, OPPO OvoiceManager и OPPO com.coloros.codebook содержат опасные уязвимости ( CVE-2020-11831 и CVE-2020-11829 соответственно), с помощью которых удаленный злоумышленник может повысить свои привилегии на системе.

Уязвимости удаленного выполнения кода были обнаружены в программном обеспечении Fuji Electric V-Server Lite ( CVE-2020-25171 ) и Rockwell Automation FactoryTalk Linx ( CVE-2020-27251 ).

Источник: Securitylab